config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/modprobe.d/b43_blacklist.conf.new

# A good idea whenever kernel modules are added or changed:
if [ -x sbin/depmod ]; then
  chroot . /sbin/depmod -a 3.10.17 1> /dev/null 2> /dev/null
fi
( cd usr/doc/broadcom-sta-6.30.223.271 ; rm -rf README_6.30.223.271.txt )
( cd usr/doc/broadcom-sta-6.30.223.271 ; ln -sf /var/lib/slackrepo/SBo/source/network/broadcom-sta/x86_64/README_6.30.223.271.txt README_6.30.223.271.txt )
